package il.ac.tau.cs.software1.set;

import java.util.Iterator;

/**
 * An iterator over a collection. The iterator will traverse 
 * the elements in ascending element order. All elements in the  
 * collection must implement the Comparable interface. 
 * @see Iterator
 */
public interface SortedIterator<T extends Comparable<T>> extends Iterator<T> {
}
